//-----------------------------------------------------------------------------
// Global variables
//-----------------------------------------------------------------------------
float4x4	g_mWorldViewProjection;									// World * View * Projection matrix
float4		g_vColor = float4( 0.0f, 0.0f, 0.0f, 1.0f );			// Fill color - default is black

//-----------------------------------------------------------------------------
// Black shader
//-----------------------------------------------------------------------------
void VS_BlackShader( float4	i_Position		: POSITION, 
					 out float4 o_Position	: POSITION )
{

	// Transform the position from object space to homogeneous projection space
	o_Position = mul( i_Position, g_mWorldViewProjection);
}

void PS_BlackShader( out float4 o_Color	: COLOR )
{
	o_Color = g_vColor;
}

//-----------------------------------------------------------------------------
// Techniques
//-----------------------------------------------------------------------------
technique BlackShader
{
	pass P0
	{
		VertexShader	= compile vs_1_1 VS_BlackShader();
		PixelShader		= compile ps_1_1 PS_BlackShader();
	}
}
