
// x = near blur depth
// y = focal plane depth
// z = far blur depth
// w = blurriness cutoff constant for objects behind the focal plane
float4 g_vDofParams = float4( 0.0f, 0.0f, 1.0f, 1.0f );

float ComputeDepth( float depth /*in view space*/ )
{
	float f;
    
	if ( depth > g_vDofParams.y )
	{
		f = ( depth - g_vDofParams.y ) / ( g_vDofParams.z - g_vDofParams.y );
		f = clamp( f, 0.0f, g_vDofParams.w );
	} else {
		f = ( g_vDofParams.y - depth ) / ( g_vDofParams.y - g_vDofParams.x );
		f = clamp( f, 0.0f, g_vDofParams.w );
	}
	
	return f;
}