//-----------------------------------------------------------------------------
// Global variables
//-----------------------------------------------------------------------------
float4		g_vColor                = float4( 1,1,1,1 );
texture		g_Texture;

//-----------------------------------------------------------------------------
// Texture sampler
//-----------------------------------------------------------------------------
sampler g_TextureSampler = sampler_state
{
	Texture		= < g_Texture >;
	MinFilter	= LINEAR;  
	MagFilter	= LINEAR;
	MipFilter	= LINEAR;
	AddressU	= CLAMP;
	AddressV	= CLAMP;
};

//-----------------------------------------------------------------------------
// Flash
//-----------------------------------------------------------------------------
void PS_Flash(	float4 		i_TexCoord		: TEXCOORD0,
				out float4	o_Color			: COLOR )
{
    //o_Color = tex2D( g_TextureSampler, i_TexCoord ) * ( g_vColor + 1 );
	o_Color = g_vColor;
}

//-----------------------------------------------------------------------------
// Technique
//-----------------------------------------------------------------------------
technique Flash
{
	pass P0
	{
        PixelShader     = compile ps_1_1 PS_Flash();
	}
}