//-----------------------------------------------------------------------------
// Global variables
//-----------------------------------------------------------------------------
float		g_fElapsedTime;											// The time elapsed since the demo started
float4		g_vTexCoordMul = float4( 1.0f, 1.0f, 0.0f, 0.0f );		// Proportion
float2		g_fScreenSize	= float2( 640, 480 );

texture		g_NoiseTextrure;

sampler NoiseTextureSampler = sampler_state
{
	Texture		= < g_NoiseTextrure >;
	MinFilter	= LINEAR;  
	MagFilter	= LINEAR;
	MipFilter	= LINEAR;
	AddressU	= WRAP;
	AddressV	= WRAP;
};

//-----------------------------------------------------------------------------
// Noise
//-----------------------------------------------------------------------------
void VS_Noise( float4 i_Position				: POSITION,			// the position of the vertex
               float2 i_TexCoord0				: TEXCOORD0,		// the texture coordinates of the scene
               out float4 o_Position            : POSITION,
               out float2 o_TexCoord            : TEXCOORD0,
               uniform float2 u_TexCorrection )
{
	// Set position
	o_Position = i_Position;
	o_Position.w = 1.0f;
	
	// Compute noise texture coord
	o_TexCoord = i_TexCoord0 * g_vTexCoordMul.xy;
	o_TexCoord.y += sin( g_fElapsedTime * 20.0f );
	o_TexCoord.x += sin( g_fElapsedTime * 50.0f );
	o_TexCoord.xy += u_TexCorrection;	//<- Make coorect mapping (avoid filtering) use this    
}

void PS_Noise( float2 i_TexCoord	: TEXCOORD0,
               out float4 o_Color	: COLOR )
{   
	// Overlay the scratches
	o_Color = tex2D( NoiseTextureSampler, i_TexCoord );	
}

//-----------------------------------------------------------------------------
// Technique
//-----------------------------------------------------------------------------
technique Noise
{
	pass P0
	{
		CullMode		= CW;
		VertexShader	= compile vs_1_1 VS_Noise( 0.5f * ( 1.0f / g_fScreenSize ) );
		PixelShader		= compile ps_1_1 PS_Noise();
	}
}
