//-----------------------------------------------------------------------------
// Global variables
//-----------------------------------------------------------------------------
float2		g_fScreenSize			= float2( 640, 360 );
float2		g_vPosition				= float2( 0, 0 );

texture		g_SceneTitle;

sampler SceneTitleSampler = sampler_state
{
	Texture		= < g_SceneTitle >;
	MinFilter	= LINEAR;  
	MagFilter	= LINEAR;
	MipFilter	= LINEAR;
	AddressU	= CLAMP;
	AddressV	= CLAMP;
};

//-----------------------------------------------------------------------------
// SceneTitle
//-----------------------------------------------------------------------------
void VS_SceneTitle(	float4 			i_Position			: POSITION,
						float2 			i_TexCoord			: TEXCOORD0,
						out float4 		o_Position			: POSITION,
						out float2 		o_TexCoord			: TEXCOORD0,
						uniform float2 	u_TexCorrection )
{
	// Set position
	o_Position = i_Position;
	o_Position.xy += g_vPosition;
	o_Position.w = 1.0f;
	
	// Set texture coordinates
	o_TexCoord = i_TexCoord;
	o_TexCoord.xy += u_TexCorrection;	//<- Make coorect mapping (avoid filtering) use this    
}

void PS_SceneTitle(	float2 			i_TexCoord			: TEXCOORD0,
						out float4 		o_Color				: COLOR )
{
	o_Color = tex2D( SceneTitleSampler, i_TexCoord );
}

//-----------------------------------------------------------------------------
// MergeTextures
//-----------------------------------------------------------------------------
technique SceneTitle
{
	pass P0
	{
		CullMode		= CW;
        VertexShader	= compile vs_2_0 VS_SceneTitle( 0.5f * ( 1.0f / g_fScreenSize ) );
		PixelShader	    = compile ps_2_0 PS_SceneTitle();
	}
}