//-----------------------------------------------------------------------------
// Global variables
//-----------------------------------------------------------------------------
float4x4	g_mWorldViewProjection;									// World * View * Projection matrix

textureCUBE	g_CubeTexture;

sampler CubeTexSampler = sampler_state
{
	Texture		= < g_CubeTexture >;
	MinFilter	= LINEAR;  
	MagFilter	= LINEAR;
	MipFilter	= LINEAR;
	AddressU	= CLAMP;
	AddressV	= CLAMP;
	AddressW	= CLAMP;    
};

//-----------------------------------------------------------------------------
// Static Environment Box
//-----------------------------------------------------------------------------
void VS_StaticEnvironment( float4	  i_Position	: POSITION, 
                           out float4 o_Position	: POSITION,
                           out float3 o_Texture	    : TEXCOORD0 )
{

	// Transform the position from object space to homogeneous projection space
	o_Position = mul( i_Position, g_mWorldViewProjection);
    
    o_Texture = i_Position.xyz;
}

void PS_StaticEnvironment( float4 i_TexCoord	: TEXCOORD0,
                           out float4 o_Color	: COLOR )
{
	o_Color = texCUBE( CubeTexSampler, i_TexCoord.xyz );   
}

//-----------------------------------------------------------------------------
// Static Environment
//-----------------------------------------------------------------------------
technique StaticEnvironment
{
	pass P0
	{
        CullMode        = CW;
		VertexShader	= compile vs_1_1 VS_StaticEnvironment();
		PixelShader		= compile ps_1_1 PS_StaticEnvironment();
	}
}